



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Front-End（一）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Front-End（一）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-05 22:53:13 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>前端初识</h2>
<p>　　现在网站开发的市场越来越大，个人和企业都有了主页、网络办公的需求，并且随着网站开发前端和后台的工作细分，前端开发的需求也越来越大。</p>
<p>　　前端的任务是将美工的网页设计使用前端技术尽可能无差别地实现（当然部分前端还承担着美工的工作），需要包括html文档结构化、元素定位排版、动画效果实现等技能。</p>
<p>　　个人确定的成长路线是这样的，大致看完w3cSchool中html、css、js的部分，这三个是前端使用的主要技术；之后多进行网页实现的实践，学会使用相关的工具，多看看别人是怎么组织文档和相关代码的；了解前端与后台的交互，能做到与美工和后台的无缝式合作。</p>
<h2>技术基础</h2>
<p>　　技术学习是渐进的，可以先浏览w3c中的介绍，然后结合具体的网页实践，迭代式得完善自己的知识系统。</p>
<p>　　为了标准化、结构化和内容表现分离，需要明确html、CSS各自承担的职能。</p>
<h3>　　HTML</h3>
<p>　　html是超文本标记语言（hyper主要体现在复杂庞大的web文档世界中，可以使用超链接的形式做跳转索引）。主要管理的是页面的结构和内容，而不是样式。不要为了实现美工设计中的样式，而采用某种标签，比如不要为了在文字前出现"*"，就使用&lt;ul&gt;。美工的设计稿拿到手，首先需要分析网页的文档结构，就像确定一本书的目录一样，确定哪些是一级标题、二级标题、表格、段落等，然后使用恰当的格式标签规划html，并合理使用&lt;div&gt;，对网页设计分块、模块化。html发展至今也有了很多版本，从html到xhtml再到html5，xhtml的出现除了进一步明确文档编写的格式化规则，更是为了强调html所承担的结构化作用。</p>
<p>　　html的学习主要包括熟悉各种标签和属性设置，学会使用w3c的html参考手册帮自己快速完成编写任务，另外w3c还提供了html速查手册，可以用于记忆参考。</p>
<h3>　　CSS</h3>
<p>　　CSS承担着确定内容样式的作用。CSS也在不断发展，以支持更多的特性，像CSS3就开始支持自定义web字体，CSS动画的设计。</p>
<p>　　CSS的学习主要包括各种标签样式的设计和使用，结合html理解框、定位规则等，进一步得学习如何精简CSS等进阶内容，这需要结合实践迭代式完善，可以多与网络上的前端交流新的效果和技术。</p>
<h3>　　JS</h3>
<p>　　js主要负责实现更完善的用户交互和客户端的自动化功能。学习基础之后，需要学习一两个常用的JS框架，比如Jquery。进一步得学会使用第三方的插件和代码，为自己所用。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/e9pwew78.html">为什么要学习Linux</a>
		</li>
						<li><a href="https://www.batexi.com/a/390d7238.html">android 手机去哪儿7&period;2版本客户端 账号存储信息分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdd46jq.html">集群间Session共享问题解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pydy49.html">ASP&period;NET MVC 快速开发框架之 SqlSugar&plus;SyntacticSugar&plus;JQWidgetsSugar&plus;jqwidgets（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xyzpr9.html">Unity Shader &lowbar;Time</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vypk38.html">document&period;write&lpar;&amp;quot&semi;&bsol;x3c&bsol;x54&amp;quot&semi;&rpar;&quest;是加密了吗？</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xlkgr9.html">Quartz1&period;8&period;5例子&lpar;十四&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdeg0l8.html">AT&amp;amp&semi;T汇编中系统调用和C函数调用的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1wv4v9.html">HDU&lowbar;2027&mdash;&mdash;统计元音</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oxorj9.html">NOIP前模板整理</a>
		</li>
						<li><a href="https://www.batexi.com/a/8men0g0q.html">dell服务器从硬盘导入阵列信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv12g3oq.html">用python写爬虫</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1zorxq.html">各种浏览器开启JavaScript脚本方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8meyxj0q.html">201521123007《Java程序设计》第2周学习总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyygvmdq.html">清理孤儿文件  clearing up outdated orphans</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jvvr5q.html">20165211 2017-2018-2 《Java程序设计》课程总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j13zmg9.html">python常用内建模块 collections&comma;bs64&comma;struct&comma;hashlib&comma;itertools&comma;contextlib&comma;xml</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jldxjq.html">&lbrack;UE4&rsqb;蓝图中清空变量值或设置为null</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyvplnmq.html">Node Server零基础&mdash;&mdash;开发环境文件自动重载</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4xrxlq.html">python练习题集合-2</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q4zjwen9.html">&period;NET源码</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ey471e9.html">Nutch搜索引擎Solr简介及安装</a>
			</li>
						<li><a href="https://www.batexi.com/a/950gv308.html">cvs vss svn和git比较</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwjvpr38.html">怎么让猫吃辣椒 转载自 xiaotie</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ey46wm9.html">HttpClient的使用-爬虫学习1</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnjv6gx8.html">Java泛型学习笔记--Java泛型和C&num;泛型比较学习（一）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpj6y59.html">逻辑回归模型&lpar;Logistic Regression&comma; LR&rpar;基础</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zjv209.html">企业架构研究总结（31）&mdash;&mdash;TOGAF架构内容框架之内容元模型（下）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwjvgpk8.html">fiddle2 代理HTTPS请求无效？解决方法。</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rg5x7d8.html">四&period;redis 事务</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
